Name:          irssi
Version:       1.4.4
Release:       1mamba
Summary:       A terminal based IRC client for UNIX systems
Group:         Applications/Networking
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://irssi.org/
Source:        https://github.com/irssi/irssi/releases/download/%{version}/irssi-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libe2fs-devel
BuildRequires: libglib-devel
BuildRequires: libkrb5-devel
BuildRequires: libncurses-devel
BuildRequires: libnsl-devel
BuildRequires: libopenssl-devel
BuildRequires: libperl
BuildRequires: libtirpc-devel
BuildRequires: libutf8proc-devel
BuildRequires: perl-devel
## AUTOBUILDREQ-END

%description
Irssi is a terminal based IRC client for UNIX systems. It also supports SILC and ICB protocols via plugins.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Irssi is a terminal based IRC client for UNIX systems. It also supports SILC and ICB protocols via plugins.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

find %{buildroot}%{_prefix}/lib \
   -type f \( -name perllocal.pod -o -name .packlist \) -exec rm -f {} \;

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)
%{_sysconfdir}/irssi.conf
%{_bindir}/irssi
%dir %{_datadir}/irssi
%{_datadir}/irssi/*
%{_docdir}/irssi/*
%{_mandir}/man1/irssi.1*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/irssi
%{_includedir}/irssi/*
%{_libdir}/pkgconfig/irssi-1.pc
%doc ChangeLog NEWS TODO

%changelog
* Fri Mar 31 2023 Automatic Build System <autodist@mambasoft.it> 1.4.4-1mamba
- automatic version update by autodist

* Mon Oct 31 2022 Automatic Build System <autodist@mambasoft.it> 1.4.3-1mamba
- automatic version update by autodist

* Sun Jul 17 2022 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- automatic version update by autodist

* Wed Jun 15 2022 Automatic Build System <autodist@mambasoft.it> 1.4.1-1mamba
- automatic version update by autodist

* Sun Apr 11 2021 Automatic Build System <autodist@mambasoft.it> 1.2.3-1mamba
- automatic version update by autodist

* Fri Aug 30 2019 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic version update by autodist

* Tue Jul 02 2019 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Thu Apr 18 2019 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Fri Jan 11 2019 Automatic Build System <autodist@mambasoft.it> 1.1.2-1mamba
- automatic version update by autodist

* Fri Feb 16 2018 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic version update by autodist

* Thu Jan 18 2018 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Mon Jan 15 2018 Automatic Build System <autodist@mambasoft.it> 1.0.6-1mamba
- automatic version update by autodist

* Sun Oct 22 2017 Automatic Build System <autodist@mambasoft.it> 1.0.5-1mamba
- automatic version update by autodist

* Thu Jul 13 2017 Automatic Build System <autodist@mambasoft.it> 1.0.4-1mamba
- automatic version update by autodist

* Thu Jun 08 2017 Automatic Build System <autodist@mambasoft.it> 1.0.3-1mamba
- automatic version update by autodist

* Wed Mar 15 2017 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic version update by autodist

* Wed Feb 15 2017 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Fri Jan 06 2017 Automatic Build System <autodist@mambasoft.it> 0.8.21-1mamba
- automatic version update by autodist

* Thu Sep 22 2016 Automatic Build System <autodist@mambasoft.it> 0.8.20-1mamba
- automatic version update by autodist

* Thu May 19 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.19-1mamba
- update to 0.8.19

* Sun Oct 12 2014 Automatic Build System <autodist@mambasoft.it> 0.8.17-1mamba
- automatic version update by autodist

* Thu Jun 05 2014 Automatic Build System <autodist@mambasoft.it> 0.8.16-1mamba
- automatic version update by autodist

* Thu Nov 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.15-2mamba
- perl 5.16 mass rebuild

* Thu Jun 03 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.15-1mamba
- package created by autospec
